KDE vs GNOME: 设置，应用和小工具
=====================================

当提到桌面环境时，对你来说选择一个合适的可能是个值得深思的个人问题。在这篇文章中，我会比较Gnome和KDE这两种最为流行的Linux桌面环境之间的不同之处，也会通过对比它们的优缺点来探究每一种桌面环境所能提供的功能。

###第一印象

第一眼看到桌面，你可能会觉得KDE看起来比Gnome更光亮，并提供一个更友好的科技外观。此外，如果你习惯于Windows环境，屏幕底部的菜单和按钮布局会让你感觉KDE看起来更熟悉一些。你可以很容易地找到Kmenu，启动程序以及仅仅点击几下鼠标就能找到文档。

KDE的另一个重要和熟悉的好处是方便地在每个打开的文档、图片和应用中使用最小化和关闭按钮。对于那些习惯其它平台的人来说，这些特性可能会认为是理所当然的。但是考虑到对于像Gnome这样不再提供一个真正的最小化选项的桌面来说，这里是值得给予KDE支持的。

第一次加载进入Gnome 3，如果你来自另一个平台，它的桌面可能被认为是很奇怪的。像经典的Gnome一样，你想访问的文档和工具并不位于屏幕的底部。让新手们感到更陌生的是，关闭已经打开的窗口的方法是如此的“与众不同”。然而，站在支持Gnome3的角度上，我发现只要你习惯了这种新的做事方式，会觉得这是一段相当愉快的经历。我所知道的已经试用过Gnome3的新用户们也普遍地感觉良好。

###小工具和扩展

随着我们深入了解Gnome和KDE提供的扩展和小工具，这两种桌面环境之间的差别会越来越大。尽管它们都能提供你可以启动的附件以增强桌面体验，但是它们在如何处理扩展功能上的分界并不相同。

KDE采用一种有趣的方式，即你可以桌面小部件划分到称为“活动区”的分组中。这使得你可以创建一个包含一系列桌面小部件的活动区，以处理特定的工作流。

相反地，Gnome按照另一种方式定义活动区。Gnome使它的活动区更加基于任务和应用，而不是以小部件为中心。例如，如果我正在使用多个应用程序，切换到Gnome活动区视图允许你能够可视化地、及时地访问每一个任务。

###设置你的桌面

虽然在通过GUI提供充足的设置方面Gnome做得越来越好，但KDE依然是这个领域的王者。（译注：对于这一点，不同的人有不同的看法。）

使用KDE，你可以通过设置去控制几乎桌面的每一个方面。一些诸如[OpenSUSE][1]Linux发行版，通过紧密地把它们的工具 ([YaST][2]) 集成到KDE的设置环境中，在这方面做得更好。

随着Gnome3之后的Gnome桌面更新，我发现的最显著的地方是KDE正在通过易于使用的设置来提供更加强大的功能。Gnome往往把特定于应用程序的设置放在一个容易找到的每个应用程序的地方。

但是KDE倾向于为应用程序提供更细粒度的控制。我最喜欢的例子之一是[Kontact][3] vs [Evolution][4]。它们分别是Gnome和KDE上很强大的个人信息管理软件。但不同的是，Kontact是一套附带为每个应用程序绑定一套控制的应用程序，而Evolution只是拥有有限控制的单个应用程序。在其它特定于桌面的应用中，[AmaroK][5] vs [Rhythmbox][6] 也是如此。

###文件管理

当涉及到为你的桌面寻找合适的文件管理器时，Gnome和KDE提供的默认选择都能为你完成这项工作。[Nautilus][7]是Gnome的默认文件管理器，而KDE提供[Dolphin][8] 作为它的默认文件管理器。

除此之外，我发现Nautilus为Gnome用户提供一个光鲜的、易用的文件管理工具，不会使Linux的新用户们不知所措。然而，回到KDE上，对于那些想要深入控制的人，Dolphin是一个高度可配置的，而不是适合新手的文件管理方案。

如果简单地观察每个文件管理器的侧边栏，你会注意到Nautilus提供最直接的导航方式。但是，KDE的Dolphin在诸如上一次使用文件的日期和其它相关选项的特性上做得更好。

如果你是高级的Linux用户，你很可能发现自己被Dolphin吸引，因为它提供了最多的选择和控制。对于那些不想通过复杂的控制导航文件的人，Nautilus在简单性上更胜一筹。

###桌面应用

经常在Linux爱好者中引发分歧的一个话题是，宣称某个桌面可以提供更好的默认应用。其实，这就是Gnome和KDE当前所处的情况。

我在这个方面的发现是：在一些方面，Gnome不费吹灰之力就能胜出。例如，GIMP、Evince和Pidegin相对它们在KDE上的同类来说更好用。而以我之见，Kmail则是另一种应用程序，它带给KDE的新用户们一个坏印象。像这类的应用过于复杂，并且在一般情况下，使用起来难以捉摸。

在另一方面，也有一些有价值的地方来支持KDE。[Calligra][9] 对比 [AbiWord][10] 对于KDE来说是轻松取胜的，因为[LibreOffice][11] 并不是一个“真正的”Gnome特有的应用。因为它是很多Linux发行版的默认套件，而不是桌面环境的默认选择。

最后，Linux最神奇的地方之一是你可以安装GTK或者Qt库，享受最符合你需求的应用程序带来的好处（译注：即使用另外一种桌面的应用）。对我自己，我发现在大部分情况下，Gnome的默认应用程序是明显的赢家。

###结语

如果我发现自己被困在一座岛上，只有一种可用的桌面环境，那它必须是Gnome。虽然我喜欢KDE的某些方面胜过Gnome，但总体上我觉得Gnome可以花更少的功夫去持续使用。我常常发现使用KDE搞砸了一堆配置，甚至更糟糕，譬如奇怪的警告声称我的声卡找不到。在Gnome环境下，我从没有遇到这些问题。

因为我珍惜我的时间和理智，所以我会持续推荐使用Gnome而不是KDE；同时在适当的时候建议一些KDE应用。对于任何声称KDE更容易使用的人，我想说对于我而言，从长远来看简单地学习Gnome的做事方法给我带来了更大的稳定性。

照片由[Shutterstock][12]提供。

---

via: http://www.datamation.com/open-source/kde-vs-gnome-settings-apps-widgets-1.html

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

译者：[KayGuoWhu](https://github.com/KayGuoWhu) 校对：[wxy](https://github.com/wxy)


[1]:http://www.opensuse.org/en/
[2]:http://en.opensuse.org/YaST_Software_Management
[3]:http://userbase.kde.org/Kontact
[4]:https://projects.gnome.org/evolution/
[5]:http://amarok.kde.org/
[6]:https://projects.gnome.org/rhythmbox/
[7]:http://en.wikipedia.org/wiki/Nautilus_%28file_manager%29
[8]:http://en.wikipedia.org/wiki/Dolphin_%28file_manager%29
[9]:http://www.calligra-suite.org/
[10]:http://www.abisource.com/
[11]:http://www.libreoffice.org/
[12]:http://www.shutterstock.com/pic-137314787/stock-photo-information-concept-golden-gears-on-digital-background-d-render.html

